# Class: Entry

## helma.Zip.Entry(entry)

Instances of this class represent a single zip archive entry, containing the (meta)data of the entry.

## Constructor

#### new Entry(entry)

Creates a new instance of helma.Zip.Entry

##### Parameters:

Name | Type | Description
--- | --- | ---
`entry` | java.util.zip.ZipEntry | The zip entry object whose metadata should be stored in this instance

Source:
  - helma/Zip.js, line 442

##### Returns:

A newly created helma.Zip.Entry instance.

### Members

#### data :ByteArray

The data of the zip entry

##### Type:

- ByteArray

Source:
  - helma/Zip.js, line 471

#### isDirectory :Boolean

True if the entry is a directory, false otherwise

##### Type:

- Boolean

Source:
  - helma/Zip.js, line 465

#### name :String

The name of the zip archive entry

##### Type:

- String

Source:
  - helma/Zip.js, line 447

#### size :Number

The size of the entry in bytes

##### Type:

- Number

Source:
  - helma/Zip.js, line 453

#### time :Date

The file date of the entry

##### Type:

- Date

Source:
  - helma/Zip.js, line 459